Skip to content

Security⁠

Perform various operations for Symitar parameters.

Operations⁠

getSecuritySelectFields⁠

POST

Execute the persistent ParameterService getSecuritySelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SecuritySecurityCategoryintegeroptional
SecurityRecordSelectionintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getSecuritySelectFields
POST /nexum/627/persistent/parameter/getSecuritySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "SecuritySecurityCategory": 0,
  "SecurityRecordSelection": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllSecurityFields": true,
    "SecurityFields": {
      "AttemptRecordCode": true,
      "Description": true,
      "EventLogCode": true,
      "Level": true,
      "RecordSelection": true,
      "SecurityCategory": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSecurityPagedListSelectFields⁠

POST

Execute the persistent ParameterService getSecurityPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getSecurityPagedListSelectFields
POST /nexum/627/persistent/parameter/getSecurityPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllSecurityFields": true,
    "SecurityFields": {
      "AttemptRecordCode": true,
      "Description": true,
      "EventLogCode": true,
      "Level": true,
      "RecordSelection": true,
      "SecurityCategory": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchSecurityPagedSelectFields⁠

POST

Execute the persistent ParameterService searchSecurityPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchSecurityPagedSelectFields
POST /nexum/627/persistent/parameter/searchSecurityPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllSecurityFields": true,
    "SecurityFields": {
      "AttemptRecordCode": true,
      "Description": true,
      "EventLogCode": true,
      "Level": true,
      "RecordSelection": true,
      "SecurityCategory": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateSecurityByID⁠

POST

Execute the persistent ParameterService updateSecurityByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SecuritySecurityCategoryintegeroptional
SecurityRecordSelectionintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateSecurityByID
POST /nexum/627/persistent/parameter/updateSecurityByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "SecuritySecurityCategory": 0,
  "SecurityRecordSelection": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SecurityFields": {
    "AttemptRecordCode": 0,
    "Description": "string",
    "EventLogCode": 0,
    "Level": 0,
    "RecordSelection": 0,
    "SecurityCategory": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}